function [Z21,Z21m] = impedance(L2,L1,d,b)

if nargin==3, b=0; end
if nargin==2, b=0; d=L1; L1=L2; end        


k = 2*pi;

c0 = 299792458;     
mu0 = 4*pi*1e-7;            

eta = mu0 * c0;     

h1 = L1/2; h2 = L2/2;

z0 = [h1-b, -h1+b, -h1-b, h1+b, b];  
s = [1, 1, 1, 1, 1];
c = [1, 1, 1, 1, -4*cos(k*h1)]; 

z0 = [z0, z0];
s = [s, -s];
c = [c * exp(j*k*h2), -c * exp(-j*k*h2)] / (2*j);

S = sum(c .* Gi(d,z0,h1,s)); 
if (L1/round(L1))==1
    A = eps;
else
    A = sin(pi*L1);
end

if (L2/round(L2))==1
    B = eps;
else
    B = sin(pi*L2);
end


Z21m = j * eta * S / (4*pi);            
Z21 = Z21m / (A * B);                  