function Z = impmatrix(dx,dy,dz,r,L)  

K = length(L); 
Z = zeros(K,K);

for p=1:K,
  for q=p:K,                                       
    if q==p,
      d = r(p);                                      
    else
      d = sqrt((dx(p)-dx(q))^2 + (dy(p)-dy(q))^2);     
      if d<0.0000001, d=0.0000001; end
    end
    b = abs(dz(p)-dz(q));
    Zpq = impedance(L(p),L(q),d,b);                     
    Z(p,q) = Zpq; 
    Z(q,p) = Zpq;                                   
  end
end