function plot3DS(R,Pr)

[theta,phi] = meshgrid(0:pi/99:pi, 0:2*pi/99:2*pi);

for i = 1:length(theta)
    for j = 1:length(theta)
        G(i,j) = gain2(theta(i,j), phi(i,j),Pr);
    end
end

Gdb = G .* (G > eps) + eps * (G <= eps);             
Gdb = 10 * log10(Gdb);
Rm = abs(max(max(Gdb))-R);

Gdb = Gdb .* (Gdb > -Rm) + (-Rm) * (Gdb <= -Rm);      
GDB = (Gdb + Rm)/Rm;                                 


X = GDB.*sin(theta).*cos(phi);    
Y = GDB.*sin(theta).*sin(phi);    
Z = GDB.*cos(theta);   

surf(X,Y,Z,Gdb)
shading interp
colormap jet
